### Function

# Vips Object summary_class

#### Declaration [src]

    void
    vips_object_summary_class (
      VipsObjectClass* klass,
      VipsBuf* buf
    )

#### Description [src]

Generate a human-readable summary for a class.

This function is not directly available to language bindings.

#### Parameters

`klass`

  Type: `VipsObjectClass`

  Class to summarise.

  The data is owned by the caller of the function.

`buf`

  Type: `VipsBuf`

  Write summary here.

  The data is owned by the caller of the function.